### Function

# Gegl Randomnew_with_seed

#### Declaration [src]

    GeglRandom*
    gegl_random_new_with_seed (
      guint32 seed
    )

#### Description [src]

Return an opaque structure associated to the seed. This structure needs to be freed by the user with gegl_random_free();.

#### Parameters

`seed`

  Type: `guint32`

  An integer seed, change for different permutation.

#### Return value

Type: `GeglRandom`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.